# Introduction

Thank you for your interest in contributing to µD3TN!

If you have any questions or need support in deploying µD3TN, please reach out
to the maintainers directly via contact@d3tn.com before opening an issue.
D3TN GmbH also offers commercial support and adaptation services for µD3TN.

The processes documented here might change over time, thus, please regularly
check this document for updates.

# Submission of Issues and Enhancements

Please don't hesitate to open new issues on our issue tracker, provided that
the subject of submission is not already covered in any existing one.
In the issue body, please indicate the problem along with your expectations
(what should happen instead) and any conditions that might have an influence
as detailed as possible.

If you found a security-related bug, please mark the issue as confidential or
contact the maintainers directly.

# Submission of Changes

- Before you create a merge request, please make sure that the subject of change
  is covered by an issue.
- Only submissions conformant to the Developer Certificate of Origin can be
  accepted into µD3TN. Please see the DCO Version 1.1 for details, available at
  <DCO.txt> or via https://developercertificate.org/.
  When making a contribution you have to explicitly agree to these terms,
  using your real name. For this purpose, append a sign-off at the end of all
  Git commits in a format like `Signed-off-by: Joe Smith <joe.smith@email.com>`.
  This can be done automatically, if you set `user.name` and `user.email` in
  your Git configuration and pass the `-s` option to `git commit`.
